Bug 104757 - can't detect and mount cdroms
can't detect and mount cdroms
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-20 10:09 EDT by Barry K. Myrvold
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Barry K. Myrvold 2003-09-20 10:09:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
since upgrading to 2.4.20-20.9smp have not been able to mount cdrom's on my
internal scsi based yamaha cdrw.  xcdroast in setup doesn't even detect any of
the scsi discs or scanners like it used to.  Also noticed some errors in dmesg
apparently relating to aic7xxx.

Version-Release number of selected component (if applicable):
2.4.20-20.9smp 

How reproducible:
Always

Steps to Reproduce:
1. normal bootup
2.
3.
    

Actual Results:  get error message: mount: No medium found

Expected Results:  cd should have mounted, xcdroast setup should see all of the
scsi components.

Additional info:

/sbin/lspci

02:0a.0 SCSI storage controller: Adaptec AHA-2940U2/U2W / 7890/7891
02:0e.0 SCSI storage controller: Adaptec AIC-7880U (rev 01)

dmesg: (pertinent excerpts)

hdc: Pioneer DVD-ROM ATAPIModel DVD-120S, ATAPI CD/DVD-ROM drive

SCSI subsystem driver Revision: 1.00

  Vendor: YAMAHA    Model: CRW8824S          Rev: 1.00
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue f7bb2018, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: UMAX      Model: Astra 1220S       Rev: V1.3
  Type:   Scanner                            ANSI SCSI revision: 02
blk: queue f7b48e18, I/O limit 4095Mb (mask 0xffffffff)
Attached scsi disk sda at scsi0, channel 0, id 2, lun 0
Attached scsi disk sdb at scsi0, channel 0, id 4, lun 0
(scsi0:A:2): 80.000MB/s transfers (40.000MHz, offset 63, 16bit)

Attached scsi CD-ROM sr0 at scsi1, channel 0, id 1, lun 0
(scsi1:A:1): 20.000MB/s transfers (20.000MHz, offset 15)
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.12
Attached scsi generic sg5 at scsi1, channel 0, id 3, lun 0,  type 6

hdc: attached ide-cdrom driver.
hdc: ATAPI 126X DVD-ROM drive, 256kB Cache, UDMA(33)

ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
scsi1:0:1:0: Attempting to queue an ABORT message
scsi1: Dumping Card State in Data-in phase, at SEQADDR 0x6d
ACCUM = 0x40, SINDEX = 0xb8, DINDEX = 0xa8, ARG_2 = 0xff
HCNT = 0x18 SCBPTR = 0x0
SCSISEQ = 0x12, SBLKCTL = 0x2
 DFCNTRL = 0x38, DFSTATUS = 0x0
LASTPHASE = 0x40, SCSISIGI = 0x44, SXFRCTL0 = 0xa0
SSTAT0 = 0x0, SSTAT1 = 0x2
STACK == 0x60, 0x188, 0x147, 0x0
SCB count = 4
Kernel NEXTQSCB = 2
Card NEXTQSCB = 2
QINFIFO entries:
Waiting Queue entries:
Disconnected Queue entries:
QOUTFIFO entries:
Sequencer Free SCB List: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
Sequencer SCB Info: 0(c 0x48, s 0x17, l 0, t 0x3) 1(c 0x0, s 0xff, l 255, t
0xff) 2(c 0x0, s 0xff, l 255, t 0xff) 3(c 0x0, s 0xff, l 255, t 0xff) 4(c 0x0, s
 0xff, l 255, t 0xff) 5(c 0x0, s 0xff, l 255, t 0xff) 6(c 0x0, s 0xff, l 255, t
0xff) 7(c 0x0, s 0xff, l 255, t 0xff) 8(c 0x0, s 0xff, l 255, t 0xff) 9(c 0x
0, s 0xff, l 255, t 0xff) 10(c 0x0, s 0xff, l 255, t 0xff) 11(c 0x0, s 0xff, l
255, t 0xff) 12(c 0x0, s 0xff, l 255, t 0xff) 13(c 0x0, s 0xff, l 255, t 0xff
) 14(c 0x0, s 0xff, l 255, t 0xff) 15(c 0x0, s 0xff, l 255, t 0xff)
Pending list: 3(c 0x48, s 0x17, l 0)
Kernel Free SCB list: 1 0
Untagged Q(1): 3
DevQ(0:1:0): 0 waiting
DevQ(0:3:0): 0 waiting
scsi1:0:1:0: Device is active, asserting ATN
Recovery code sleeping
Recovery code awake
Timer Expired
aic7xxx_abort returns 0x2003
scsi1:0:1:0: Attempting to queue a TARGET RESET message
aic7xxx_dev_reset returns 0x2003
Recovery SCB completes
scsi1:0:1:0: Attempting to queue an ABORT message
scsi1: Dumping Card State in Data-in phase, at SEQADDR 0x6d
ACCUM = 0x40, SINDEX = 0xb8, DINDEX = 0xa8, ARG_2 = 0xff
HCNT = 0x18 SCBPTR = 0x0
SCSISEQ = 0x12, SBLKCTL = 0x2
 DFCNTRL = 0x38, DFSTATUS = 0x0
LASTPHASE = 0x40, SCSISIGI = 0x44, SXFRCTL0 = 0xa0
SSTAT0 = 0x0, SSTAT1 = 0x2
STACK == 0x60, 0x188, 0x147, 0x0
SCB count = 4
Kernel NEXTQSCB = 3
Card NEXTQSCB = 3
QINFIFO entries:
Waiting Queue entries:
Disconnected Queue entries:
QOUTFIFO entries:
Sequencer Free SCB List: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
Sequencer SCB Info: 0(c 0x48, s 0x17, l 0, t 0x2) 1(c 0x0, s 0xff, l 255, t
0xff) 2(c 0x0, s 0xff, l 255, t 0xff) 3(c 0x0, s 0xff, l 255, t 0xff) 4(c 0x0, s
 0xff, l 255, t 0xff) 5(c 0x0, s 0xff, l 255, t 0xff) 6(c 0x0, s 0xff, l 255, t
0xff) 7(c 0x0, s 0xff, l 255, t 0xff) 8(c 0x0, s 0xff, l 255, t 0xff) 9(c 0x
0, s 0xff, l 255, t 0xff) 10(c 0x0, s 0xff, l 255, t 0xff) 11(c 0x0, s 0xff, l
255, t 0xff) 12(c 0x0, s 0xff, l 255, t 0xff) 13(c 0x0, s 0xff, l 255, t 0xff
) 14(c 0x0, s 0xff, l 255, t 0xff) 15(c 0x0, s 0xff, l 255, t 0xff)
Pending list: 2(c 0x48, s 0x17, l 0)
Kernel Free SCB list: 1 0
Untagged Q(1): 2
DevQ(0:1:0): 0 waiting
DevQ(0:3:0): 0 waiting
scsi1:0:1:0: Device is active, asserting ATN
Recovery code sleeping
Recovery code awake
aic7xxx_abort returns 0x2002
scsi: device set offline - not ready or command retry failed after bus reset:
host 1 channel 0 id 1 lun 0
 I/O error: dev 0b:00, sector 64
isofs_read_super: bread failed, dev=0b:00, iso_blknum=16, block=16
cdrom: open failed.
eth0: MAC controller error (WTERR). Ignoring.
Comment 1 Bugzilla owner 2004-09-30 11:41:32 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.